using DreamsCaster.Models;
using Microsoft.EntityFrameworkCore;
using Console = DreamsCaster.Models.Console;

namespace DreamsCaster;

public class AppDbContext : DbContext
{
	public DbSet<Game> Games;
	public DbSet<Console> Consoles;
}

public static class DatabaseExtensions
{
	public static bool TryGet<T>(this IEnumerable<T> haystack, Guid id, out T val) where T : IdEntity
	{
		if (haystack.Select(hay => hay.Id).Contains(id))
		{
			val = haystack.FirstOrDefault(hay => hay.Id.Equals(id));
			return true;
		}

		val = null;
		return false;
	}
}